angular.module('starter.controllers')
.controller('FavouritesCtrl', function($q,$ionicPopup,$scope, $rootScope, $ionicModal, $ionicHistory, $timeout, $location,  $state, $http, $stateParams, getFavouritePromise,removeFavouritePromise) {

	function onSuccess(result){
		console.log("Success:"+result);
	}

	function onError(result) {
		console.log("Error:"+result);
	}
	$scope.callNumber=function(number){
		console.log("Launching Calling Service for number "+number);
number=	number.slice(0,-1);
		if(number.toString().includes(';'))
		{
			$scope.Callnumber={};
			$scope.arr= number.toString().split(';');
			var myPopup = $ionicPopup.show({
				template: '<div ng-repeat="data in arr" ng-hide="data.length<=0">'+
				' <ion-radio class="wrapping-list" ng-model="Callnumber.value" ng-value="{{data}}" checked>{{data}}</ion-radio>'+
				'</div>',
				title: '<h3>Numbers Available</h3>',
				subTitle: 'Please select number to call',
				scope: $scope,
				buttons: [
				{ text: 'Cancel',
					onTap: function(e) {
						return null;
					}
				},
				{
					text: 'CALL&nbsp;<i class="fas fa-phone"></i>',
					type: 'button-positive',
					onTap: function(e) {
						if (!$scope.Callnumber.value) {
							
							e.preventDefault();
						}
						else
							{
								window.plugins.CallNumber.callNumber(onSuccess,onError,$scope.Callnumber.value,false);
								return $scope.Callnumber.value;
						}
					}
				}
				]
			});

			myPopup.then(function(Callnumber) {
				console.log('Tapped!', Callnumber);
			});
		}
		else
			window.plugins.CallNumber.callNumber(onSuccess,onError,number,false);
		}
	
		/*$scope.AddNumber=function(){
		console.log("Launching Adding number Service for number ");

		$scope.AddFavourite={};
		$scope.arr= number.toString().split(';');
		var myPopup = $ionicPopup.show({
		template: '<input type="text" placeholder="Enter Name" ng-model="AddFavourite.name">'+
		' <input type="number" placeholder="Enter Number" ng-model="AddFavourite.number">',
		title: '<h3>Add Number</h3>',
		subTitle: 'Please Provide Details to Add Number',
		scope: $scope,
		buttons: [
		{ text: 'Cancel',
		onTap: function(e) {
		alert("canceled operation");
		}
		},
		{
		text: 'ADD&nbsp;<i class="far fa-plus"></i>',
		type: 'button-positive',
		onTap: function(e) {
		if (!$scope.AddFavourite.name || !$scope.AddFavourite.number) {
		e.preventDefault();
		} else {
		alert("add number");
		}
		}
		}
		]
		});
		}*/
		$scope.Favloading = false;
		$scope.SMSnumbers = [];
		$scope.SelectedAttuidList=[];
		$scope.SMS = '';
		$scope.currentStatus = "R";

		$scope.deletebutton = function(){
			$scope.Favloading = true;
			var promises = [];

			$ionicPopup.confirm({
				title: 'System warning',
				template: 'Are you sure you want to Delete these numbers?'
			}).then(function(res) {
				if (res) {
					angular.forEach($scope.SelectedAttuidList, function(attuid) {
						var response =  removeFavouritePromise.startService($scope.loginData.username, attuid);
						response.then(
						function(success) {
							console.log(attuid+" removed");
						},
						function(error) {
							alert("Got error while fetching values.");
						});
						promises.push(response);
					});
					$q.all(promises).then(function() {
				$scope.SelectedAttuidList=[];
				$scope.SMSnumbers = [];
				$state.reload();
				$scope.Favloading = false;

			});
				}
				else
					$scope.Favloading = false;
			});

		}

		$scope.change = function(number,attuid, active){
			if (active)
			{
				$scope.SelectedAttuidList.push(attuid);
				$scope.SMSnumbers.push(number.toString().split(';')[0]);
			}
			else
				{
					$scope.SMSnumbers.splice($scope.SMSnumbers.indexOf(number.toString().split(';')[0]), 1);
					$scope.SelectedAttuidList.splice(attuid,1);

				}
				$scope.SMS = $scope.SMSnumbers.join(";");
			};

			$scope.$on('$ionicView.enter', function(e) {
				var response =  getFavouritePromise.startService();
				response.then(
				function(success) {
					$scope.FavList = success;
					var i =0;
					angular.forEach($scope.FavList.oncallFavList, function(user) {
						user.name = $scope.FavList.name[i];
						i=i+1;
					});
				},
				function(error) {
					alert("Got error while fetching values.");
				});
			});
		})
