angular.module('starter.controllers')
.controller('LoginCtrl', function($scope, $rootScope,$ionicPlatform,$ionicPopup , $ionicModal, $timeout, $location, LoginService,accessPromise, $state, $http, $stateParams, loginPromise, $interval,GetTeamListPromise) {

	$scope.loginData = {};
	$scope.loginData.username = '';
	$scope.loginData.password = '';

	$scope.doLogin = function() {
		//CHECK IF WE HAVE DATA FILLED OUT

		$scope.hideBox = false;
		$scope.loginData.username = $scope.loginData.username.toLowerCase();
		if ($scope.validateForm()) {
			$scope.hideBox = true;
			$scope.isAuthenticated = false;
			var loginService = loginPromise.startService($scope.loginData.username, $scope.loginData.password);
			loginService.then(
			function(success) {
				$scope.isAuthenticated = true;
				LoginService.setIsAuthenticated($scope.isAuthenticated);

				//changes end
				window.localStorage['username'] = $scope.loginData.username.toLowerCase();
				window.localStorage['password'] = $scope.loginData.password;

				var accessService = accessPromise.startService($scope.loginData.username, $scope.loginData.password);
				accessService.then(
				function(success) {
					$state.go('app',{});
				},
				function(error) {
					alert("Having Service connection issues .App may respond differently");
					$state.go('app',{});
				});
			},
			function(error) {
				alert("We're currently unable to log you in. Please try again after some time.");
				$scope.hideBox = false;
				LoginService.setIsAuthenticated($scope.isAuthenticated);
				$scope.loginMessage = error.data;
				//$ionicLoading.hide();
				$scope.$broadcast('scroll.refreshComplete');
				window.localStorage['current_page'] = '';
				$scope.doLogin();
			}
			);
		}
	};
	
	$scope.validateForm = function() {
		
		var response = true;
		var message = '';
		$scope.loginMessage = message;
		if ($scope.loginData.username.length != 6) {
			message += '<p>The Username must be 6 chars long</p>';
			response = false;
		}
		if ($scope.loginData.username.length == 0 || $scope.loginData.password.length == 0) {
			message += '<p>Please enter Username and Password</p>';
			response = false;
		}
		$scope.loginMessage = message;
		return response;
	};

	
if (window.localStorage['username'] != '' && window.localStorage['password'] != '' && window.localStorage['username'] != null && window.localStorage['password'] != null) {
		$scope.loginData.username = window.localStorage['username'];
		$scope.loginData.password = window.localStorage['password'];
		$scope.doLogin();
	}
	
	
	})



