angular.module('starter.controllers')
.directive('fileModel', ['$parse', function ($parse) {
    return {
        restrict: 'A',
        link: function(scope, element, attrs) {
            var model = $parse(attrs.fileModel);
            var modelSetter = model.assign;

            element.bind('change', function(){
                scope.$apply(function(){
                    modelSetter(scope, element[0].files[0]);
                });
            });
        }
    };
}])
.service('fileUpload', ['$http', function ($http) {
    this.uploadFileToUrl = function(file, uploadUrl){
        var fd = new FormData();
        fd.append('file', file);
        $http.post(uploadUrl, fd, {
            transformRequest: angular.identity,
            headers: {'Content-Type': undefined}
        })
        .success(function(){
			console.log("Success");
        })
        .error(function(){
			console.log("Error");
        });
    }
}])
.controller('KnowledgeHubCtrl', function($scope, $rootScope, $ionicModal, $ionicHistory,  $location,  $state,  $stateParams,getFile,sendFile) {
   var type = window.PERSISTENT;




$scope.create = function() {

	window.requestFileSystem(LocalFileSystem.PERSISTENT, 0, function (fs) {

    console.log('file system open: ' + fs.name);
    fs.root.getFile("TestFile1.txt", { create: true, exclusive: false }, function (fileEntry) {

        console.log("fileEntry is file?" + fileEntry.isFile.toString());
        // fileEntry.name == 'someFile.txt'
        // fileEntry.fullPath == '/someFile.txt'

		console.log("Write function in file :");
		var  dataObj = new Blob(['some file data'], { type: 'text/plain' });
        writeFile(fileEntry, dataObj,true);
		
		window.open(fs.name+"//TestFile1.txt", "_system");

    }, onErrorCreateFile);

}, onErrorLoadFs);
		
};
		
function onErrorCreateFile() {
    console.log("Create file fail...");}

function onErrorLoadFs() {
    console.log("File system fail...");
}

function onErrorReadFile() {
    console.log("Read file fail...");}
	
function writeFile(fileEntry, dataObj, isAppend) {
    // Create a FileWriter object for our FileEntry (log.txt).
    fileEntry.createWriter(function (fileWriter) {

        fileWriter.onwriteend = function() {
            console.log("Successful file read...");
            readFile(fileEntry);
        };

        fileWriter.onerror = function (e) {
            console.log("Failed file read: " + e.toString());
        };

        // If we are appending data to file, go to the end of the file.
        if (isAppend) {
            try {
                fileWriter.seek(fileWriter.length);
            }
            catch (e) {
                console.log("file doesn't exist!");
            }
        }
        fileWriter.write(dataObj);
    });
}

function readFile(fileEntry) {

    fileEntry.file(function (file) {
        var reader = new FileReader();

        reader.onloadend = function() {
            console.log("Successful file read: " + this.result);
            //displayFileData(fileEntry.fullPath + ": " + this.result);
        };
        reader.readAsText(file);

    }, onErrorReadFile);
}
		
						
//----file upload functions working ------
 var formdata = new FormData();	
$scope.Upload = function() {
	 var file = $scope.myFile;
        console.log('file is ' );
        console.dir(file);
        var uploadUrl = "http://10.19.6.209:8072/Oncall/Wizard/uploadFile";
        fileUpload.uploadFileToUrl(file, uploadUrl);			   
}





});
