angular.module('starter.controllers')
.controller('AppCtrl', function($scope, $rootScope,$ionicPlatform,$ionicPopup , $ionicModal, $timeout, $location, LoginService,accessPromise, $state, $http, $stateParams, loginPromise, $interval,GetTeamListPromise) {

	window.localStorage['current_page'] = '';
	$('#mainmenuid').show();

	$scope.defaultApplication = 'p0';
	$scope.hideMenu = true;
	$scope.loginMessage = '';
	$scope.isAuthenticated = false;
	$scope.hideBox = true;
	$scope.teamList = [];
	$scope.loginData = {};
	$scope.loginData.username = '';
	$scope.loginData.password = '';
	$scope.appVersion = '1.2.9';

	$scope.urlData = [{
		'url': '#/app/oncallsupport',
		'parameter': 'non-image',
		'alias': 'On Call Support',
		'level': parseInt(1),
		'icon': ''
	},/*{'url': '#/app/Grepsearch',
		'parameter': 'non-image',
		'alias': 'Log Search',
		'level': parseInt(2),
	'icon': ''},*/
	{'url': '#/app/metrics',
		'parameter': 'non-image',
		'alias': 'Metrics',
		'level': parseInt(3),
	'icon': ''},
	{'url': '#/app/krishflow',
		'parameter': 'non-image',
		'alias': 'Krrish-Flow',
		'level': parseInt(4),
	'icon': ''},
	{'url': '#/app/profile',
		'parameter': 'non-image',
		'alias': 'Profile',
		'level': parseInt(11),
	'icon': ''},
	{'url': '#/app/Favourites',
		'parameter': 'non-image',
		'alias': 'Favourite SideKicks',
		'level': parseInt(6),
	'icon': ''},
	{'url': '#/app/Hub',
		'parameter': 'non-image',
		'alias': 'Knowledge Hub',
		'level': parseInt(7),
	'icon': ''},
	{'url': '#/app/HO',
		'parameter': 'non-image',
		'alias': 'HO Items',
		'level': parseInt(8),
	'icon': ''},
	{'url': '#/app/sanity',
		'parameter': 'non-image',
		'alias': 'Sanity Check',
		'level': parseInt(9),
	'icon': ''},
	{'url': '#/app/release',
		'parameter': 'non-image',
		'alias': 'Release Status',
		'level': parseInt(10),
	'icon': ''}
/*	,
	{'url': '#/app/Chat',
		'parameter': 'non-image',
		'alias': 'Messages',
		'level': parseInt(5),
	'icon': ''}
*/
	]

	if (window.localStorage['username'] != '' && window.localStorage['password'] != '' && window.localStorage['username'] != null && window.localStorage['password'] != null) {
		$scope.loginData.username = window.localStorage['username'];
		$scope.loginData.password = window.localStorage['password'];
	}
	
	//gets all teamList
				var TeamList = GetTeamListPromise.startService($scope.loginData.username, $scope.loginData.password);
					TeamList.then(
					function(success) {	
						$scope.teamList = success;
						$state.go('app.oncallsupport',{});					
					},
					function(error) {
						alert("Having Service connection issues .App may respond differently");
						$state.go('app.oncallsupport',{});
					});
	
	
	$scope.formatDate = function(datereived) {
		var monthNames = [
		"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
		];
		var dateTime = datereived.split('T');
		var ymd = dateTime[0].split('-');
		var timeparsed = dateTime[1].split(' ');
		var hourmin = timeparsed[0].split(':');
		return ymd[2] + '-' + monthNames[parseInt(ymd[1]) - 1] + '-' + (parseInt(ymd[0]) - 2000) + ' ' + hourmin[0] + ':' + hourmin[1];
	};

	//Changes from harish
	$scope.getDeviceType = function() {
		var device = 'APN';
		if ($scope.myDeviceInfo() === "Android") {
			device = 'GCM';
		}
		return device;
	};
	
	$scope.myDeviceInfo = function() {
		var device = 'Android';
		if (ionic.Platform.isIOS()) {
			device = 'iOS';
		}
		if (ionic.Platform.isWindowsPhone()) {
			device = 'windows';
		}
		return device;
	};
	
	$scope.getTimeFormat = function() {
		var d = new Date();
		var monthNames = [
		"Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec"
		];
		var hours = d.getHours();
		var minutes = d.getMinutes();
		var ampm = hours >= 12 ? 'pm' : 'am';
		hours = hours % 12;
		hours = hours ? hours : 12; // the hour '0' should be '12'
		minutes = minutes < 10 ? '0' + minutes : minutes;
		return monthNames[d.getMonth()] + ' ' + d.getDate() + ', ' + d.getFullYear() + ' ' + hours + ':' + minutes + ':' + d.getSeconds() + ' ' + ampm;
	};

	$scope.isObjectEmpty = function(card) {
		return Object.keys(card).length === 0;
	}

	$scope.goBackHistory = function() {
		window.history.back();
	};
	
	//button controls back button action.
	$ionicPlatform.registerBackButtonAction(function() {
		if($state.current.name=="app.oncallsupport" )
		{
			//Logout option
			$ionicPopup.confirm({
				title: 'System warning',
				template: 'Are you sure you want to LogOut?'
			}).then(function(res) {
				if (res) {
					$scope.$broadcast('scroll.refreshComplete');
					window.localStorage.clear();
					//$scope.loginData.username = '';
					//$scope.loginData.password = '';
					$state.go('login',{});
				}
			})
		}

		else if ($state.current.name=="login")
			{
				//Ask for exit confirmation if already on login page
				$ionicPopup.confirm({
					title: 'System warning',
					template: 'Are you sure you want to exit?'
				}).then(function(res) {
					if (res) {
						ionic.Platform.exitApp();
					}
				})
			}		else {
				//Brings on oncall state from any other page
			$state.go('app.oncallsupport');}
		},100);

	screen.orientation.lock('portrait').then(function success() {
                                                console.log("Successfully locked the orientation");
                                }, function error(errMsg) {
                                                console.log("Error locking the orientation :: " + errMsg);
                                });
	})



