angular.module('starter.controllers')
.controller('onCallSupportCtrl', function($ionicPopup,$scope, $rootScope, $ionicModal, $ionicHistory, $timeout, $ionicLoading, $location,  $state, $http, $stateParams, fetchOnCallDataService,updateOnCallStatusPromise,AddFavouritePromise,removeFavouritePromise) {

	function onSuccess(result){
		console.log("Success:"+result);
	}
	
	$scope.refreshPage = function() {
		$state.reload();
	}

	function onError(result) {
		
		console.log("Error:"+result);
	}
	
$scope.callNumber=function(number){
		console.log("Launching Calling Service for number "+number);
		number=	number.slice(0,-1);
		if(number.toString().includes(';'))
		{
			$scope.Callnumber={};
			$scope.arr= number.toString().split(';');
			var myPopup = $ionicPopup.show({
				template: '<div ng-repeat="data in arr" ng-hide="data.length<=0">'+
				' <ion-radio class="wrapping-list" ng-model="Callnumber.value" ng-value="{{data}}" checked>{{data}}</ion-radio>'+
				'</div>',
				title: '<h3>Numbers Available</h3>',
				subTitle: 'Please select number to call',
				scope: $scope,
				buttons: [
				{ text: 'Cancel',
					onTap: function(e) {
						return null;
					}
				},
				{
					text: 'CALL&nbsp;<i class="fas fa-phone"></i>',
					type: 'button-positive',
					onTap: function(e) {
						if (!$scope.Callnumber.value) {
							
							e.preventDefault();
						}
						else
							{
								window.plugins.CallNumber.callNumber(onSuccess,onError,$scope.Callnumber.value,false);
								return $scope.Callnumber.value;
						}
					}
				}
				]
			});

			myPopup.then(function(Callnumber) {
				console.log('Tapped!', Callnumber);
			});
		}
		else
			window.plugins.CallNumber.callNumber(onSuccess,onError,number,false);
		}
		
$scope.PopUp=function(perfAlert){
		perfAlert.Details ="to be added through backend";
		
		var popuptemplate = '<style>.popup { width:100%!important; }</style>'+
												'<div class="row" style="text-align:center padding-bottom: 15px;">    '+  
                        '	<div class="col-xs-4"><b>Application</b></div>'+ 
                        '	<div class="col-xs-10">                       '+ 
                        		perfAlert.application                           + 
                        '		</div>                                      '+
                        '</div><br>' +
                        '<div class="row" style="text-align:center padding-bottom: 15px;">    '+	
                        '	<div class="col-xs-4"><b>Subject</b></div>    '+ 
                        '	<div class="col-xs-10">                       '+ 
                        	 perfAlert.subject                            + 
                        '		</div>                                      '+
                         '</div><br>' +
                         '<div class="row" style="text-align:center padding-bottom: 15px;">    '+	
                        '	<div class="col-xs-4"><b>Status</b></div>    '+ 
                        '	<div class="col-xs-10">                       '+ 
                        	 perfAlert.status                            + 
                        '		</div>                                      '+
                         '</div><br>' +
                          '<div class="row" style="text-align:center padding-bottom: 15px;">    '+	
                        '	<div class="col-xs-4"><b>Priority</b></div>    '+ 
                        '	<div class="col-xs-10">                       '+ 
                        	 perfAlert.priority                            + 
                        '		</div>                                      '+
                         '</div><br>' +
                         '<div class="row" style="text-align:center padding-bottom: 15px;">    '+
                        '	<div class="col-xs-12"><b>Details</b></div>   '+
                        '</div>' +
                        '<div class="row" style="text-align:center padding-bottom: 15px;">    '+
                        '	<div class="col-xs-12">                       '+ 
                        		perfAlert.issue                            + 
                        '		</div>                                      '+ 
                        '</div>                                         '  ;

		
		
			var myPopup = $ionicPopup.show({
				template: popuptemplate,
				title: '<h3>Perf Details</h3>',
				scope: $scope,
				buttons: [
				{
					text: 'OK',
					type: 'button-positive',
					onTap: function(e) {
						
							return null;
					s	
					}
				}
				]
			});


		}
	
$scope.change = function(number, active){
			if (active)
			{

				$scope.SMSnumbers.push(number.toString().split(';')[0]);
			}
			else
				$scope.SMSnumbers.splice($scope.SMSnumbers.indexOf(number.toString().split(';')[0]), 1);
				console.log($scope.SMSnumbers);
				$scope.SMS = $scope.SMSnumbers.join(";");
			};

$scope.updateStatus = function(status,teamName){

				$scope.loading = true;
				var teamId = $scope.teamMapping[teamName];
				var response =  updateOnCallStatusPromise.startService($scope.loginData.username, status,teamId);

				response.then(
				function(success) {
					$scope.loading = false;
					$state.reload();
				},
				function(error) {
					alert("Got error while fetching values.");
					$scope.loading = false;
				});
				// $state.reload();
			};
			
function addFavourite(attuid,number,teamid){

				$scope.loading = true;
		
		
				var response =  AddFavouritePromise.startService($scope.loginData.username, attuid,number,teamid);
				response.then(
				function(success) {
					$scope.loading = false;
					$state.reload();
				},
				function(error) {
					alert("Got error while fetching values.");
					$scope.loading = false;
				});
			};

function removeFavourite(attuid){

				$scope.loading = true;
			
				var response =  removeFavouritePromise.startService($scope.loginData.username, attuid);
				response.then(
				function(success) {
					$scope.loading = false;
					$state.reload();
				},
				function(error) {
					alert("Got error while fetching values.");
					$scope.loading = false;
				});
			};

$scope.updateFavourite = function(user,exists){
			$scope.loading = true;
				if(exists == -1)
					addFavourite(user.attuid,user.phone,user.teamId);
				else
					removeFavourite(user.attuid);
			};

$scope.oncallData = function(){
				$scope.SMSnumbers = [];
				$scope.favarr = [];
				$scope.SMS = '';
				$scope.currentStatus = {};
				$scope.loading = true;
				$scope.palertdata = [];


				var response =  fetchOnCallDataService.startService($scope.loginData.username,$scope.loginData.password);
				response.then(
				function(success) {
console.log("this is all the data i got");
console.log(success);
					//seprating bridge and url details
					angular.forEach(success.oncallTeamBean.palerts, function(palertdata) {
							$scope.palertdata[palertdata.palertId] = {};
							if (palertdata.bridgeInfo) {

								
								if (palertdata.bridgeInfo.includes('.com') || (palertdata.bridgeInfo.includes(',') || palertdata.bridgeInfo.includes('#'))) {//contains link
									if(palertdata.bridgeInfo.includes(' ')){//with spaces
										var bridgedtl = palertdata.bridgeInfo;
										var number1=null;
										var bridge1=null;
										var url1=null;
										var arr = palertdata.bridgeInfo.replace(',,',' ,, ').replace('#','# ').replace('  ',' ').split(' ');
										angular.forEach(arr, function(item, index) {
											//console.log(item, index);
											if(item.includes('.com')){
												url1=item;
												//	console.log('url1:'+url1);
											}
											else if(item.includes('#') || item.length==7){
												bridge1=item.includes('#')?item:item+'#';
												//	console.log('bridge1:'+bridge1);
											}
											else if(item.length>9 && !item.includes('.com')){
												number1=item;
												//	console.log('number1:'+number1);
											}
										});

										var bridgetotal = {};
										if(number1 != null && bridge1 != null){
											bridgetotal.number = number1.replace(/-/g , "");
											bridgetotal.bridge = bridge1;
										}
										if(url1 != null){
											bridgetotal.url = (url1.includes('http')?url1:'http://'+url1);
										}

										//$scope.palertdata[palertdata.teamName] = bridgetotal;

										$scope.palertdata[palertdata.palertId]= bridgetotal;
									}
									else{//without spaces
										var bridgedtl = palertdata.bridgeInfo;
										var number1=null;
										var bridge1=null;
										var url1=null;
										var arr = palertdata.bridgeInfo.replace(',,',' ,, ').replace('#','# ').split(' ');
										angular.forEach(arr, function(item, index) {
											//console.log(item, index);
											if(item.includes('.com')){
												url1=item;
												//	console.log('url1:'+url1);
											}
											else if(item.includes('#') || item.length==7){
												bridge1=item.includes('#')?item:item+'#';
												//	console.log('bridge1:'+bridge1);
											}
											else if(item.length>9 && item.includes('-')){
												number1=item;
												//	console.log('number1:'+number1);
											}
										});

										var bridgetotal = '';
										if(number1 != null && bridge1 != null){
											bridgetotal.number = number1.replace(/-/g , "");
											bridgetotal.bridge = bridge1;
										}
										if(url1 != null){
											bridgetotal.url = (url1.includes('http')?url1:'http://'+url1);
										}

										//$scope.palertdata[palertdata.teamName] = bridgetotal;

										$scope.palertdata[palertdata.palertId]= bridgetotal;

									}
								}
								else {
									//$scope.palertdata[palertdata.teamName] = palertdata.bridgeInfo;

									$scope.palertdata[palertdata.palertId]= bridgetotal;
								}
							}

						});
					
					
					//fetch current user availability status
					angular.forEach(success.oncallTeamBean.teamUsers, function(user) {
							if(user.attuid == $scope.loginData.username)
							{
								$scope.currentStatus[user.teamName]=user.oncallStatus;
							}
						});
					
					//create favourite contacts array
					angular.forEach(success.oncallFavListBean, function(favItem) {
						$scope.favarr.push(favItem.favId);
					});
					
					//setting palerts
					$scope.palerts = success.oncallTeamBean.palerts;
					
					//setting up userdetails
					$scope.teams = [];
					$scope.teamMapping = {};
					$scope.teamUsers = [];
					angular.forEach(success.oncallTeamBean.teamUsers, function(user) {
						if($scope.teams.indexOf(user.teamName) == -1)
						{
							$scope.teams.push(user.teamName);
							$scope.teamMapping[user.teamName] = user.teamId;
							$scope.teamUsers[user.teamName] = [];
							}
						$scope.teamUsers[user.teamName].push(user);
						 
						});
						angular.forEach($scope.$parent.teamList, function(user) {
						if($scope.teams.indexOf(user.teamName) == -1)
						{
							user.isTeam = false;
							}else
						user.isTeam = true;
						 
						});
						
						console.log($scope.$parent.teamList);
						
					$scope.designation = [];
					$scope.designation['200'] = 'Employee';
					$scope.designation['300'] = 'Lead';
					$scope.designation['400'] = 'Manager';
					$scope.designation['500'] = 'Line Manager';
					$scope.designation['600'] = 'Director';
				 $scope.$broadcast('scroll.refreshComplete');
				 $scope.loading = false;
				},
				function(error) {
					$scope.$broadcast('scroll.refreshComplete');
					alert("Got error while fetching values.");
					$scope.loading = false;
				});
				
			};

$scope.$on('$ionicView.enter', function(e) {
	$scope.oncallData();
});
});
		
