angular.module('starter.controllers')
.controller('sanityCtrl', function($scope, $rootScope, $ionicModal, $ionicHistory, $timeout,$state,$stateParams,$ionicPopup,GetSanityDataPromise,SetSanityDataPromise) {


$scope.UpdateSanity = function (Check){	
	$scope.Comment={};
	$scope.Sanity={};
	if(Check.status=='Y')
		return false;
	var CommentPopup = $ionicPopup.show({
				template: '<style>.popup { width:100%!important; }</style><div>'+
				
				'Sanity Check : '+Check.sanityCheckName + 
				'<br>Please provide Status Update<br><br>'+
				' <ion-radio class="wrapping-list" ng-model="Sanity.value" value="Y" checked>Completed</ion-radio>'+
				' <ion-radio class="wrapping-list" ng-model="Sanity.value" value="N" >Failed</ion-radio>'+
				' <br>Please provide Comment for completion of operation.<br>'+
				'<input type="text" class="form-control" ng-model="Comment.value" />'+
				'</div>',
				title: '<h3>Are You Sure?</h3>',
				subTitle: 'Please provide Details for this change',
				scope: $scope,
				buttons: [
				{ text: 'Cancel',
					onTap: function(e) {	
					}
				},
				{
					text: 'Submit',
					type: 'button-positive',
					onTap: function(e) {
						if (!$scope.Comment.value || !$scope.Sanity.value) {
							e.preventDefault();
						}
						else
							{
							$scope.loading = true;
							console.log($scope.Sanity.value);
							var response =  SetSanityDataPromise.startService(Check.sanityId, $scope.Sanity.value,$scope.Comment.value);
							response.then(
								function(success) {
									$state.reload();
									$scope.loading = false;
									},
								function(error) {
									alert("Got error while fetching values.");
									$scope.loading = false;
								}
							);
						}
					}
				}
				]
			});
}

$scope.$on('$ionicView.enter', function(e) {
				$scope.loading = true;
				var response =  GetSanityDataPromise.startService($stateParams.teamname);

				response.then(
				function(success) {
					console.log(success);
					$scope.SanityChecks = success;
					$scope.loading = false;
				},
				function(error) {
 					alert("Got error while fetching values.");
					$scope.loading = false;
				});		
			});
});
